<div class="p-2">
  <div class="row">
    <div class="col">
      <h4>
        <strong *ngIf="userGroup">{{userGroup.groupName}}</strong>
        <button *ngIf="uidFrom == userGroup?.uidFromTo[0]" type="button" class="btn btn-light ms-2"
          (click)="open(content, userGroup.groupName)">
          sửa tên
        </button>
      </h4>
    </div>
    <div class="col text-end">
      <div class="input-group mb-3">
        <input type="text" class="form-control" placeholder="nhập uid bạn bè" aria-describedby="basic-addon2"
          [(ngModel)]="uidSelect">
        <div ngbDropdown>
          <button type="button" class="btn btn-outline-secondary" ngbDropdownToggle></button>
          <div ngbDropdownMenu class="drop-menu-cus">
            <button ngbDropdownItem *ngFor="let element of users"
              (click)="addValue(element)">{{element.displayName}}</button>
          </div>
        </div>
        <button class="input-group-text" (click)="addUserGroup()">Thêm người</button>
      </div>
    </div>
  </div>
  <div class="card card-cus mb-2">
    <div class="card-body card-body-cus" *ngIf="arrMess">
      <div *ngFor="let item of arrMess" class="w-100">
        <div *ngIf="item.uidFrom === uidFrom" class="mb-4">
          <div class="text-end me-2 mt-3">
            <span class="text-send">{{item.message}}</span>
            <img [src]="getUrlAvt(item.uidFrom)" alt="" class="avt ms-2" placement="start"
              [ngbTooltip]="getDisplayName(item.uidFrom)">
          </div>
        </div>
        <div *ngIf="item.uidFrom !== uidFrom" class="mb-4">
          <div class="text-start ms-2 mt-3">
            <img [src]="getUrlAvt(item.uidFrom)" alt="" class="avt me-2" placement="end"
              [ngbTooltip]="getDisplayName(item.uidFrom)">
            <span class="text-to">{{item.message}}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div>
  <div class="input-group mb-3">
    <input type="text" class="form-control" placeholder="nhập tin nhắn" aria-describedby="basic-addon2"
      [(ngModel)]="mess" (keyup.enter)="sendMessage()">
    <button class="input-group-text" (click)="sendMessage()">Gửi</button>
  </div>
</div>


<ng-template #content let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Sửa tên nhóm</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <form>
      <div class="mb-3">
        <label for="nameGroup">Tên group</label>
        <div class="input-group">
          <input type="text" class="form-control" [(ngModel)]="displayNameGroup" name="nameGroup" id="nameGroup">
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="modal.close('Save click')">Lưu</button>
  </div>
</ng-template>
